#pragma once

MIDL_INTERFACE("FCFB3D25-A0FA-1068-A738-08002B3371B5")
Control : public IDispatch {
};

MIDL_INTERFACE("FCFB3D22-A0FA-1068-A738-08002B3371B5")
VBGlobal : public IUnknown {
    /* [helpstring("Loads a form or control into memory."), helpcontext(0x000df65b)] */
    virtual HRESULT _stdcall Load(/* [in] */ IDispatch* object) = 0;
    /* [helpstring("Unloads a form or control from memory."), helpcontext(0x000df65c)] */
    virtual HRESULT _stdcall Unload(/* [in] */ IDispatch* object) = 0;
    /* [propget, helpstring("Contains general information about an application."), helpcontext(0x000df65d)] */
    virtual HRESULT _stdcall App(/* [out, retval] */ /* App */ void** pdispRetVal) = 0;
    /* [propget, helpstring("Manipulates forms according to their placement on the screen and controls the mouse pointer."), helpcontext(0x000df65e)] */
    virtual HRESULT _stdcall Screen(/* [out, retval] */ /* Screen */ void** pdispRetVal) = 0;
    /* [propget, helpstring("Provides access to the system Clipboard."), helpcontext(0x000df65f)] */
    virtual HRESULT _stdcall Clipboard(/* [out, retval] */ /*Clipboard*/ void** pdispRetVal) = 0;
    /* [propget, helpstring("Enables you to communicate with a system printer (initially the default printer)."), helpcontext(0x000df660)] */
    virtual HRESULT _stdcall Printer(/* [out, retval] */ /* Printer */ void** pdispRetVal) = 0;
    /* [propputref, helpstring("Enables you to communicate with a system printer (initially the default printer)."), helpcontext(0x000df660)] */
    virtual HRESULT _stdcall Printer(/* [in] */ /* Printer */ void* pdispRetVal) = 0;
    /* [propget, helpstring("All loaded forms in an application."), helpcontext(0x000df661)] */
    virtual HRESULT _stdcall Forms(/* [out, retval] */ IDispatch** pdispRetVal) = 0;
    /* [propget, helpstring("Enables you to gather information about all available printers on the system."), helpcontext(0x000df662)] */
    virtual HRESULT _stdcall Printers(/* [out, retval] */ IDispatch** pdispRetVal) = 0;
    /* [restricted, hidden, helpstring("Loads a string from a resource (.RES) file and returns it as a property of a control."), helpcontext(0x000df663)] */
    virtual HRESULT _stdcall LoadResStringOld(
                    /* [in] */ short id, 
                    /* [out, retval] */ BSTR* pbstrRetVal) = 0;
    /* [helpstring("Loads a bitmap, icon, or cursor from a resource (.RES) file and returns it to the appropriate control."), helpcontext(0x000df664)] */
    virtual HRESULT _stdcall LoadResPicture(
                    /* [in] */ VARIANT id, 
                    /* [in] */ short restype, 
                    /* [out, retval] */ IPictureDisp** retval) = 0;
    /* [helpstring("Loads data of several possible types from a resource file (.RES) and returns a Byte array."), helpcontext(0x000df665)] */
    virtual HRESULT _stdcall LoadResData(
                    /* [in] */ VARIANT id, 
                    /* [in] */ VARIANT type, 
                    /* [out, retval] */ VARIANT* pbstrRetVal) = 0;
    /* [restricted, hidden, helpstring("Loads a graphic into a Form, PictureBox, or Image control."), helpcontext(0x000df666)] */
    virtual HRESULT _stdcall LoadPictureOld(
                    /* [in, optional] */ VARIANT FileName, 
                    /* [out, retval] */ IPictureDisp** retval) = 0;
    /* [helpstring("Saves a graphic from a Form, PictureBox, or Image control to a file."), helpcontext(0x000df667)] */
    virtual HRESULT _stdcall SavePicture(
                    /* [in] */ IPictureDisp* Picture, 
                    /* [in] */ BSTR FileName) = 0;
    /* [helpstring("Loads a graphic into a Form, PictureBox, or Image control."), helpcontext(0x000df666)] */
    virtual HRESULT _stdcall LoadPicture(
                    /* [in, optional] */ VARIANT FileName, 
                    /* [in, optional] */ VARIANT Size, 
                    /* [in, optional] */ VARIANT ColorDepth, 
                    /* [in, optional] */ VARIANT X, 
                    /* [in, optional] */ VARIANT Y, 
                    /* [out, retval] */ IPictureDisp** retval) = 0;
    /* [helpstring("Loads a string from a resource (.RES) file and returns it as a property of a control."), helpcontext(0x000df663)] */
    virtual HRESULT _stdcall LoadResString(
                    /* [in] */ long id, 
                    /* [out, retval] */ BSTR* pbstrRetVal) = 0;
    /* [propget, helpstring("Manipulates a collection of control licenses for use with Controls.Add."), helpcontext(0x000df95e)] */
    virtual HRESULT _stdcall Licenses(/* [out, retval] */ /*Licenses*/ void** ppRetVal) = 0;
};


MIDL_INTERFACE("33AD4F39-6699-11CF-B70C-00AA0060D393")
_Form : public IDispatch {
    /* [restricted] */ virtual void Missing7() = 0;
    /* [restricted] */ virtual void Missing8() = 0;
    /* [restricted] */ virtual void Missing9() = 0;
    /* [restricted] */ virtual void Missing10() = 0;
    /* [restricted] */ virtual void Missing11() = 0;
    /* [restricted] */ virtual void Missing12() = 0;
    /* [restricted] */ virtual void Missing13() = 0;
    /* [restricted] */ virtual void Missing14() = 0;
    /* [restricted] */ virtual void Missing15() = 0;
    /* [restricted] */ virtual void Missing16() = 0;
    /* [restricted] */ virtual void Missing17() = 0;
    /* [propget, helpstring("Returns the name used in code to identify an object."), helpcontext(0x000dfc75)] */
    virtual HRESULT _stdcall Name(/* [out, retval] */ BSTR* ) = 0;
    /* [restricted] */ virtual void Missing19() = 0;
    /* [propget, helpstring("Returns/sets the text displayed in an object's title bar or below an object's icon."), helpcontext(0x000dfc26)] */
    virtual HRESULT _stdcall Caption(/* [out, retval] */ BSTR* ) = 0;
    /* [propput, helpstring("Returns/sets the text displayed in an object's title bar or below an object's icon."), helpcontext(0x000dfc26)] */
    virtual HRESULT _stdcall Caption(/* [in] */ BSTR ) = 0;
    /* [propget, helpstring("Returns a handle (from Microsoft Windows) to an object's window."), helpcontext(0x000dfc59)] */
    virtual HRESULT _stdcall hWnd(/* [out, retval] */ long* ) = 0;
    /* [restricted] */ virtual void Missing23() = 0;
    /* [restricted] */ virtual void Missing24() = 0;
    /* [propget, helpstring("Returns/sets the background color used to display text and graphics in an object."), helpcontext(0x000dfc21)] */
    virtual HRESULT _stdcall BackColor(/* [out, retval] */ long* ) = 0;
    /* [propput, helpstring("Returns/sets the background color used to display text and graphics in an object."), helpcontext(0x000dfc21)] */
    virtual HRESULT _stdcall BackColor(/* [in] */ long ) = 0;
    /* [propget, helpstring("Returns/sets the foreground color used to display text and graphics in an object."), helpcontext(0x000dfc50)] */
    virtual HRESULT _stdcall ForeColor(/* [out, retval] */ long* ) = 0;
    /* [propput, helpstring("Returns/sets the foreground color used to display text and graphics in an object."), helpcontext(0x000dfc50)] */
    virtual HRESULT _stdcall ForeColor(/* [in] */ long ) = 0;
    /* [propget, helpstring("Returns/sets the distance between the internal left edge of an object and the left edge of its container."), helpcontext(0x000dfc61)] */
    virtual HRESULT _stdcall Left(/* [out, retval] */ float* ) = 0;
    /* [propput, helpstring("Returns/sets the distance between the internal left edge of an object and the left edge of its container."), helpcontext(0x000dfc61)] */
    virtual HRESULT _stdcall Left(/* [in] */ float ) = 0;
    /* [propget, helpstring("Returns/sets the distance between the internal top edge of an object and the top edge of its container."), helpcontext(0x000dfcae)] */
    virtual HRESULT _stdcall Top(/* [out, retval] */ float* ) = 0;
    /* [propput, helpstring("Returns/sets the distance between the internal top edge of an object and the top edge of its container."), helpcontext(0x000dfcae)] */
    virtual HRESULT _stdcall Top(/* [in] */ float ) = 0;
    /* [propget, helpstring("Returns/sets the width of an object."), helpcontext(0x000dfcb8)] */
    virtual HRESULT _stdcall Width(/* [out, retval] */ float* ) = 0;
    /* [propput, helpstring("Returns/sets the width of an object."), helpcontext(0x000dfcb8)] */
    virtual HRESULT _stdcall Width(/* [in] */ float ) = 0;
    /* [propget, helpstring("Returns/sets the height of an object."), helpcontext(0x000dfc53)] */
    virtual HRESULT _stdcall Height(/* [out, retval] */ float* ) = 0;
    /* [propput, helpstring("Returns/sets the height of an object."), helpcontext(0x000dfc53)] */
    virtual HRESULT _stdcall Height(/* [in] */ float ) = 0;
    /* [propget, helpstring("Returns/sets a value that determines whether an object can respond to user-generated events."), helpcontext(0x000dfc40)] */
    virtual HRESULT _stdcall Enabled(/* [out, retval] */ VARIANT_BOOL* ) = 0;
    /* [propput, helpstring("Returns/sets a value that determines whether an object can respond to user-generated events."), helpcontext(0x000dfc40)] */
    virtual HRESULT _stdcall Enabled(/* [in] */ VARIANT_BOOL ) = 0;
    /* [propget, helpstring("Returns/sets the visual state of a form window at run time."), helpcontext(0x000dfcba)] */
    virtual HRESULT _stdcall WindowState(/* [out, retval] */ short* ) = 0;
    /* [propput, helpstring("Returns/sets the visual state of a form window at run time."), helpcontext(0x000dfcba)] */
    virtual HRESULT _stdcall WindowState(/* [in] */ short ) = 0;
    /* [propget, helpstring("Returns/sets the type of mouse pointer displayed when over part of an object."), helpcontext(0x000dfc72)] */
    virtual HRESULT _stdcall MousePointer(/* [out, retval] */ short* ) = 0;
    /* [propput, helpstring("Returns/sets the type of mouse pointer displayed when over part of an object."), helpcontext(0x000dfc72)] */
    virtual HRESULT _stdcall MousePointer(/* [in] */ short ) = 0;
    /* [propget, helpstring("Specifies the name of the font that appears in each row for the given level."), helpcontext(0x000dfc4a)] */
    virtual HRESULT _stdcall FontName(/* [out, retval] */ BSTR* ) = 0;
    /* [propput, helpstring("Specifies the name of the font that appears in each row for the given level."), helpcontext(0x000dfc4a)] */
    virtual HRESULT _stdcall FontName(/* [in] */ BSTR ) = 0;
    /* [propget, helpstring("Specifies the size (in points) of the font that appears in each row for the given level."), helpcontext(0x000dfc4c)] */
    virtual HRESULT _stdcall FontSize(/* [out, retval] */ float* ) = 0;
    /* [propput, helpstring("Specifies the size (in points) of the font that appears in each row for the given level."), helpcontext(0x000dfc4c)] */
    virtual HRESULT _stdcall FontSize(/* [in] */ float ) = 0;
    /* [propget, helpstring("Returns/sets bold font styles."), helpcontext(0x000dfc47)] */
    virtual HRESULT _stdcall FontBold(/* [out, retval] */ VARIANT_BOOL* ) = 0;
    /* [propput, helpstring("Returns/sets bold font styles."), helpcontext(0x000dfc47)] */
    virtual HRESULT _stdcall FontBold(/* [in] */ VARIANT_BOOL ) = 0;
    /* [propget, helpstring("Returns/sets italic font styles."), helpcontext(0x000dfc49)] */
    virtual HRESULT _stdcall FontItalic(/* [out, retval] */ VARIANT_BOOL* ) = 0;
    /* [propput, helpstring("Returns/sets italic font styles."), helpcontext(0x000dfc49)] */
    virtual HRESULT _stdcall FontItalic(/* [in] */ VARIANT_BOOL ) = 0;
    /* [propget, helpstring("Returns/sets strikethrough font styles."), helpcontext(0x000dfc4d)] */
    virtual HRESULT _stdcall FontStrikethru(/* [out, retval] */ VARIANT_BOOL* ) = 0;
    /* [propput, helpstring("Returns/sets strikethrough font styles."), helpcontext(0x000dfc4d)] */
    virtual HRESULT _stdcall FontStrikethru(/* [in] */ VARIANT_BOOL ) = 0;
    /* [propget, helpstring("Returns/sets underline font styles."), helpcontext(0x000dfc4f)] */
    virtual HRESULT _stdcall FontUnderline(/* [out, retval] */ VARIANT_BOOL* ) = 0;
    /* [propput, helpstring("Returns/sets underline font styles."), helpcontext(0x000dfc4f)] */
    virtual HRESULT _stdcall FontUnderline(/* [in] */ VARIANT_BOOL ) = 0;
    /* [propget, helpstring("Returns a handle (from Microsoft Windows) to the object's device context."), helpcontext(0x000dfc52)] */
    virtual HRESULT _stdcall hDC(/* [out, retval] */ long* ) = 0;
    /* [restricted] */ virtual void Missing55() = 0;
    /* [propget, helpstring("Returns/sets the horizontal coordinates for next print or draw method."), helpcontext(0x000dfc31)] */
    virtual HRESULT _stdcall CurrentX(/* [out, retval] */ float* ) = 0;
    /* [propput, helpstring("Returns/sets the horizontal coordinates for next print or draw method."), helpcontext(0x000dfc31)] */
    virtual HRESULT _stdcall CurrentX(/* [in] */ float ) = 0;
    /* [propget, helpstring("Returns/sets the vertical coordinates for next print or draw method."), helpcontext(0x000dfc32)] */
    virtual HRESULT _stdcall CurrentY(/* [out, retval] */ float* ) = 0;
    /* [propput, helpstring("Returns/sets the vertical coordinates for next print or draw method."), helpcontext(0x000dfc32)] */
    virtual HRESULT _stdcall CurrentY(/* [in] */ float ) = 0;
    /* [propget, helpstring("Returns/sets the horizontal coordinates for the left edges of an object."), helpcontext(0x000dfc93)] */
    virtual HRESULT _stdcall ScaleLeft(/* [out, retval] */ float* ) = 0;
    /* [propput, helpstring("Returns/sets the horizontal coordinates for the left edges of an object."), helpcontext(0x000dfc93)] */
    virtual HRESULT _stdcall ScaleLeft(/* [in] */ float ) = 0;
    /* [propget, helpstring("Returns/sets the vertical coordinates for the top edges of an object."), helpcontext(0x000dfc95)] */
    virtual HRESULT _stdcall ScaleTop(/* [out, retval] */ float* ) = 0;
    /* [propput, helpstring("Returns/sets the vertical coordinates for the top edges of an object."), helpcontext(0x000dfc95)] */
    virtual HRESULT _stdcall ScaleTop(/* [in] */ float ) = 0;
    /* [propget, helpstring("Returns/sets the number of units for the horizontal measurement of an object's interior."), helpcontext(0x000dfc96)] */
    virtual HRESULT _stdcall ScaleWidth(/* [out, retval] */ float* ) = 0;
    /* [propput, helpstring("Returns/sets the number of units for the horizontal measurement of an object's interior."), helpcontext(0x000dfc96)] */
    virtual HRESULT _stdcall ScaleWidth(/* [in] */ float ) = 0;
    /* [propget, helpstring("Returns/sets the number of units for the vertical measurement of an object's interior."), helpcontext(0x000dfc92)] */
    virtual HRESULT _stdcall ScaleHeight(/* [out, retval] */ float* ) = 0;
    /* [propput, helpstring("Returns/sets the number of units for the vertical measurement of an object's interior."), helpcontext(0x000dfc92)] */
    virtual HRESULT _stdcall ScaleHeight(/* [in] */ float ) = 0;
    /* [propget, helpstring("Returns/sets a value indicating measurement units for object coordinates when using graphics methods or positioning controls."), helpcontext(0x000dfc94)] */
    virtual HRESULT _stdcall ScaleMode(/* [out, retval] */ short* ) = 0;
    /* [propput, helpstring("Returns/sets a value indicating measurement units for object coordinates when using graphics methods or positioning controls."), helpcontext(0x000dfc94)] */
    virtual HRESULT _stdcall ScaleMode(/* [in] */ short ) = 0;
    /* [propget, helpstring("Returns/sets a value that determines whether background text/graphics on a Form, Printer or PictureBox are displayed."), helpcontext(0x000dfc4e)] */
    virtual HRESULT _stdcall FontTransparent(/* [out, retval] */ VARIANT_BOOL* ) = 0;
    /* [propput, helpstring("Returns/sets a value that determines whether background text/graphics on a Form, Printer or PictureBox are displayed."), helpcontext(0x000dfc4e)] */
    virtual HRESULT _stdcall FontTransparent(/* [in] */ VARIANT_BOOL ) = 0;
    /* [propget, helpstring("Determines the line style for output from graphics methods."), helpcontext(0x000dfc3b)] */
    virtual HRESULT _stdcall DrawStyle(/* [out, retval] */ short* ) = 0;
    /* [propput, helpstring("Determines the line style for output from graphics methods."), helpcontext(0x000dfc3b)] */
    virtual HRESULT _stdcall DrawStyle(/* [in] */ short ) = 0;
    /* [propget, helpstring("Returns/sets the line width for output from graphics methods."), helpcontext(0x000dfc3c)] */
    virtual HRESULT _stdcall DrawWidth(/* [out, retval] */ short* ) = 0;
    /* [propput, helpstring("Returns/sets the line width for output from graphics methods."), helpcontext(0x000dfc3c)] */
    virtual HRESULT _stdcall DrawWidth(/* [in] */ short ) = 0;
    /* [propget, helpstring("Returns/sets the fill style of a shape."), helpcontext(0x000dfc45)] */
    virtual HRESULT _stdcall FillStyle(/* [out, retval] */ short* ) = 0;
    /* [propput, helpstring("Returns/sets the fill style of a shape."), helpcontext(0x000dfc45)] */
    virtual HRESULT _stdcall FillStyle(/* [in] */ short ) = 0;
    /* [propget, helpstring("Returns/sets the color used to fill in shapes, circles, and boxes."), helpcontext(0x000dfc44)] */
    virtual HRESULT _stdcall FillColor(/* [out, retval] */ long* ) = 0;
    /* [propput, helpstring("Returns/sets the color used to fill in shapes, circles, and boxes."), helpcontext(0x000dfc44)] */
    virtual HRESULT _stdcall FillColor(/* [in] */ long ) = 0;
    /* [propget, helpstring("Sets the appearance of output from graphics methods or of a Shape or Line control."), helpcontext(0x000dfc3a)] */
    virtual HRESULT _stdcall DrawMode(/* [out, retval] */ short* ) = 0;
    /* [propput, helpstring("Sets the appearance of output from graphics methods or of a Shape or Line control."), helpcontext(0x000dfc3a)] */
    virtual HRESULT _stdcall DrawMode(/* [in] */ short ) = 0;
    /* [propget, helpstring("Returns/sets the output from a graphics method to a persistent bitmap."), helpcontext(0x000dfc1d)] */
    virtual HRESULT _stdcall AutoRedraw(/* [out, retval] */ VARIANT_BOOL* ) = 0;
    /* [propput, helpstring("Returns/sets the output from a graphics method to a persistent bitmap."), helpcontext(0x000dfc1d)] */
    virtual HRESULT _stdcall AutoRedraw(/* [in] */ VARIANT_BOOL ) = 0;
    /* [propget, helpstring("Returns/sets a graphic to be displayed in a control."), helpcontext(0x000dfc8c)] */
    virtual HRESULT _stdcall Picture(/* [out, retval] */ IPictureDisp** ) = 0;
    /* [propputref, helpstring("Returns/sets a graphic to be displayed in a control."), helpcontext(0x000dfc8c)] */
    virtual HRESULT _stdcall Picture(/* [in] */ IPictureDisp* ) = 0;
    /* [propget, helpstring("Returns/sets the border style for an object."), helpcontext(0x000dfc24)] */
    virtual HRESULT _stdcall BorderStyle(/* [out, retval] */ short* ) = 0;
    /* [propput, helpstring("Returns/sets the border style for an object."), helpcontext(0x000dfc24)] */
    virtual HRESULT _stdcall BorderStyle(/* [in] */ short ) = 0;
    /* [propget, helpstring("Returns the icon displayed when a form is minimized at run time."), helpcontext(0x000dfc5a)] */
    virtual HRESULT _stdcall Icon(/* [out, retval] */ IPictureDisp** ) = 0;
    /* [propputref, helpstring("Returns the icon displayed when a form is minimized at run time."), helpcontext(0x000dfc5a)] */
    virtual HRESULT _stdcall Icon(/* [in] */ IPictureDisp* ) = 0;
    /* [propget, helpstring("Returns/sets the source application and topic for a destination control."), helpcontext(0x000dfc65)] */
    virtual HRESULT _stdcall LinkTopic(/* [out, retval] */ BSTR* ) = 0;
    /* [propput, helpstring("Returns/sets the source application and topic for a destination control."), helpcontext(0x000dfc65)] */
    virtual HRESULT _stdcall LinkTopic(/* [in] */ BSTR ) = 0;
    /* [propget, helpstring("Returns/sets the type of link used for a DDE conversation and activates the connection."), helpcontext(0x000dfc63)] */
    virtual HRESULT _stdcall LinkMode(/* [out, retval] */ short* ) = 0;
    /* [propput, helpstring("Returns/sets the type of link used for a DDE conversation and activates the connection."), helpcontext(0x000dfc63)] */
    virtual HRESULT _stdcall LinkMode(/* [in] */ short ) = 0;
    /* [propget, helpstring("Determines whether a form has a Maximize button."), helpcontext(0x000dfc6b)] */
    virtual HRESULT _stdcall MaxButton(/* [out, retval] */ VARIANT_BOOL* ) = 0;
    /* [restricted] */ virtual void Missing95() = 0;
    /* [propget, helpstring("Determines whether a form has a Minimize button."), helpcontext(0x000dfc6f)] */
    virtual HRESULT _stdcall MinButton(/* [out, retval] */ VARIANT_BOOL* ) = 0;
    /* [restricted] */ virtual void Missing97() = 0;
    /* [propget, helpstring("Returns a value indicating whether a Control-menu box is displayed on a form at run time."), helpcontext(0x000dfc2e)] */
    virtual HRESULT _stdcall ControlBox(/* [out, retval] */ VARIANT_BOOL* ) = 0;
    /* [restricted] */ virtual void Missing99() = 0;
    /* [propget, helpstring("Returns a handle, provided by Microsoft Windows, to a persistent bitmap."), helpcontext(0x000dfc5b)] */
    virtual HRESULT _stdcall Image(/* [out, retval] */ IPictureDisp** ) = 0;
    /* [restricted] */ virtual void Missing101() = 0;
    /* [propget, helpstring("Determines whether a unique display context is allocated for the control."), helpcontext(0x000dfd34)] */
    virtual HRESULT _stdcall HasDC(/* [out, retval] */ VARIANT_BOOL* ) = 0;
    /* [restricted] */ virtual void Missing103() = 0;
    /* [restricted] */ virtual void Missing104() = 0;
    /* [restricted] */ virtual void Missing105() = 0;
    /* [restricted] */ virtual void Missing106() = 0;
    /* [restricted] */ virtual void Missing107() = 0;
    /* [restricted] */ virtual void Missing108() = 0;
    /* [restricted] */ virtual void Missing109() = 0;
    /* [propget, helpstring("Returns/sets a value that determines whether an object is visible or hidden."), helpcontext(0x000dfcb7)] */
    virtual HRESULT _stdcall Visible(/* [out, retval] */ VARIANT_BOOL* ) = 0;
    /* [propput, helpstring("Returns/sets a value that determines whether an object is visible or hidden."), helpcontext(0x000dfcb7)] */
    virtual HRESULT _stdcall Visible(/* [in] */ VARIANT_BOOL ) = 0;
    /* [propget, helpstring("Stores any extra data needed for your program."), helpcontext(0x000dfcab)] */
    virtual HRESULT _stdcall Tag(/* [out, retval] */ BSTR* ) = 0;
    /* [propput, helpstring("Stores any extra data needed for your program."), helpcontext(0x000dfcab)] */
    virtual HRESULT _stdcall Tag(/* [in] */ BSTR ) = 0;
    /* [propget, helpstring("Returns/sets a value that determines if a form is displayed as an MDI child form."), helpcontext(0x000dfc6d)] */
    virtual HRESULT _stdcall MDIChild(/* [out, retval] */ VARIANT_BOOL* ) = 0;
    /* [restricted] */ virtual void Missing115() = 0;
    /* [propget, helpstring("Returns/sets whether keyboard events for an object are invoked before keyboard events for controls on that object."), helpcontext(0x000dfc5f)] */
    virtual HRESULT _stdcall KeyPreview(/* [out, retval] */ VARIANT_BOOL* ) = 0;
    /* [propput, helpstring("Returns/sets whether keyboard events for an object are invoked before keyboard events for controls on that object."), helpcontext(0x000dfc5f)] */
    virtual HRESULT _stdcall KeyPreview(/* [in] */ VARIANT_BOOL ) = 0;
    /* [propget, helpstring("Determines whether graphics methods in Paint events repaint an entire object or newly exposed areas."), helpcontext(0x000dfc2a)] */
    virtual HRESULT _stdcall ClipControls(/* [out, retval] */ VARIANT_BOOL* ) = 0;
    /* [propput, helpstring("Determines whether graphics methods in Paint events repaint an entire object or newly exposed areas."), helpcontext(0x000dfc2a)] */
    virtual HRESULT _stdcall ClipControls(/* [in] */ VARIANT_BOOL ) = 0;
    /* [propget, helpstring("Specifies the default Help file context ID for an object."), helpcontext(0x000dfc54)] */
    virtual HRESULT _stdcall HelpContextID(/* [out, retval] */ long* ) = 0;
    /* [propput, helpstring("Specifies the default Help file context ID for an object."), helpcontext(0x000dfc54)] */
    virtual HRESULT _stdcall HelpContextID(/* [in] */ long ) = 0;
    /* [propget, helpstring("Returns the control that has focus."), helpcontext(0x000dfcc4)] */
    virtual HRESULT _stdcall ActiveControl(/* [out, retval] */ Control** ) = 0;
    /* [restricted] */ virtual void Missing123() = 0;
    /* [restricted] */ virtual void Missing124() = 0;
    /* [restricted] */ virtual void Missing125() = 0;
    /* [restricted] */ virtual void Missing126() = 0;
    /* [restricted] */ virtual void Missing127() = 0;
    /* [restricted] */ virtual void Missing128() = 0;
    /* [restricted] */ virtual void Missing129() = 0;
    /* [restricted] */ virtual void Missing130() = 0;
    /* [restricted] */ virtual void Missing131() = 0;
    /* [propget, helpstring("Returns the number of objects in a collection."), helpcontext(0x000dfc30)] */
    virtual HRESULT _stdcall Count(/* [out, retval] */ short* ) = 0;
    /* [restricted] */ virtual void Missing133() = 0;
    /* [propget, helpstring("A collection whose elements represent each control on a form, including elements of control arrays. "), helpcontext(0x000dfcc5)] */
    virtual HRESULT _stdcall Controls(/* [out, retval] */ IDispatch** ) = 0;
    /* [restricted] */ virtual void Missing135() = 0;
    /* [propget, helpstring("Sets a custom mouse icon."), helpcontext(0x000dfc71)] */
    virtual HRESULT _stdcall MouseIcon(/* [out, retval] */ IPictureDisp** ) = 0;
    /* [propputref, helpstring("Sets a custom mouse icon."), helpcontext(0x000dfc71)] */
    virtual HRESULT _stdcall MouseIcon(/* [in] */ IPictureDisp* ) = 0;
    /* [restricted] */ virtual void Missing138() = 0;
    /* [restricted] */ virtual void Missing139() = 0;
    /* [restricted] */ virtual void Missing140() = 0;
    /* [restricted] */ virtual void Missing141() = 0;
    /* [restricted] */ virtual void Missing142() = 0;
    /* [restricted] */ virtual void Missing143() = 0;
    /* [restricted] */ virtual void Missing144() = 0;
    /* [restricted] */ virtual void Missing145() = 0;
    /* [propget, helpstring("Returns a Font object."), helpcontext(0x000dfc46)] */
    virtual HRESULT _stdcall Font(/* [out, retval] */ IFont** ) = 0;
    /* [propputref, helpstring("Returns a Font object."), helpcontext(0x000dfc46)] */
    virtual HRESULT _stdcall Font(/* [in] */ IFont* ) = 0;
    /* [propget, helpstring("Returns/sets whether or not an object is painted at run time with 3-D effects."), helpcontext(0x000dfcc6)] */
    virtual HRESULT _stdcall Appearance(/* [out, retval] */ short* ) = 0;
    /* [propput, helpstring("Returns/sets whether or not an object is painted at run time with 3-D effects."), helpcontext(0x000dfcc6)] */
    virtual HRESULT _stdcall Appearance(/* [in] */ short ) = 0;
    /* [propget, helpstring("Returns or sets whether the What's This button appears in the title bar of a Form or MDIForm."), helpcontext(0x000dfcd6)] */
    virtual HRESULT _stdcall WhatsThisButton(/* [out, retval] */ VARIANT_BOOL* ) = 0;
    /* [restricted] */ virtual void Missing151() = 0;
    /* [propget, helpstring("Sets or returns whether context-sensitive Help uses the What's This popup provided by Windows 95 Help or the main Help window."), helpcontext(0x000dfcd7)] */
    virtual HRESULT _stdcall WhatsThisHelp(/* [out, retval] */ VARIANT_BOOL* ) = 0;
    /* [restricted] */ virtual void Missing153() = 0;
    /* [propget, helpstring("Determines whether a Form or MDIForm object appears in the Windows 95 taskbar."), helpcontext(0x000dfc9e)] */
    virtual HRESULT _stdcall ShowInTaskbar(/* [out, retval] */ VARIANT_BOOL* ) = 0;
    /* [restricted] */ virtual void Missing155() = 0;
    /* [propget, helpstring("Determines text display direction and control visual appearance on a bidirectional system."), helpcontext(0x000dfd1d)] */
    virtual HRESULT _stdcall RightToLeft(/* [out, retval] */ VARIANT_BOOL* ) = 0;
    /* [propput, helpstring("Determines text display direction and control visual appearance on a bidirectional system."), helpcontext(0x000dfd1d)] */
    virtual HRESULT _stdcall RightToLeft(/* [in] */ VARIANT_BOOL ) = 0;
    /* [propget, helpstring("Returns or sets a value specifying the position of a Form when it first appears."), helpcontext(0x000dfd14)] */
    virtual HRESULT _stdcall StartUpPosition(/* [out, retval] */ short* ) = 0;
    /* [restricted] */ virtual void Missing159() = 0;
    /* [propget, helpstring("Returns/Sets whether this object can act as an OLE drop target."), helpcontext(0x000dfcfe)] */
    virtual HRESULT _stdcall OLEDropMode(/* [out, retval] */ short* ) = 0;
    /* [propput, helpstring("Returns/Sets whether this object can act as an OLE drop target."), helpcontext(0x000dfcfe)] */
    virtual HRESULT _stdcall OLEDropMode(/* [in] */ short ) = 0;
    /* [propget, helpstring("Returns/sets an image that contains the palette to use on an object when PaletteMode is set to Custom"), helpcontext(0x000dfd06)] */
    virtual HRESULT _stdcall Palette(/* [out, retval] */ IPictureDisp** ) = 0;
    /* [propputref, helpstring("Returns/sets an image that contains the palette to use on an object when PaletteMode is set to Custom"), helpcontext(0x000dfd06)] */
    virtual HRESULT _stdcall Palette(/* [in] */ IPictureDisp* ) = 0;
    /* [propget, helpstring("Returns/sets a value that determines which palette to use for the controls on a object."), helpcontext(0x000dfd07)] */
    virtual HRESULT _stdcall PaletteMode(/* [out, retval] */ short* ) = 0;
    /* [propput, helpstring("Returns/sets a value that determines which palette to use for the controls on a object."), helpcontext(0x000dfd07)] */
    virtual HRESULT _stdcall PaletteMode(/* [in] */ short ) = 0;
    /* [propget, helpstring("Returns/sets a value that determines whether a form can be moved."), helpcontext(0x000dfd15)] */
    virtual HRESULT _stdcall Moveable(/* [out, retval] */ VARIANT_BOOL* ) = 0;
    /* [restricted] */ virtual void Missing167() = 0;
    /* [helpstring("Forces a complete repaint of a object."), helpcontext(0x000dfaa5)] */
    virtual HRESULT _stdcall Refresh() = 0;
    /* [helpstring("Moves an object."), helpcontext(0x000dfa9c)] */
    virtual HRESULT _stdcall Move(
                    /* [in] */ float Left, 
                    /* [in] */ VARIANT Top, 
                    /* [in] */ VARIANT Width, 
                    /* [in] */ VARIANT Height) = 0;
    /* [helpstring("Moves the focus to the specified object."), helpcontext(0x000dfaac)] */
    virtual HRESULT _stdcall SetFocus() = 0;
    /* [helpstring("Places a specified object at the front or back of the z-order within its graphical level."), helpcontext(0x000dfab2)] */
    virtual HRESULT _stdcall ZOrder(/* [in] */ VARIANT Position) = 0;
    /* [helpstring("Displays an MDIForm or Form object."), helpcontext(0x000dfaae)] */
    virtual HRESULT _stdcall Show(
                    /* [in] */ VARIANT Modal, 
                    /* [in] */ VARIANT OwnerForm) = 0;
    /* [helpstring("Hides an MDIForm or Form object but doesn't unload it."), helpcontext(0x000dfa95)] */
    virtual HRESULT _stdcall Hide() = 0;
    /* [helpstring("Sends a bit-by-bit image of a Form object to the printer."), helpcontext(0x000dfaa2)] */
    virtual HRESULT _stdcall PrintForm() = 0;
    /* [helpstring("Displays a pop-up menu on an MDIForm or Form object."), helpcontext(0x000dfaa1)] */
    virtual HRESULT _stdcall PopupMenu(
                    /* [in] */ IDispatch* Menu, 
                    /* [in] */ VARIANT Flags, 
                    /* [in] */ VARIANT X, 
                    /* [in] */ VARIANT Y, 
                    /* [in] */ VARIANT DefaultMenu) = 0;
    /* [helpstring("Draws a circle, eclipse, or arc on an object."), helpcontext(0x000dfa86)] */
    virtual HRESULT _stdcall Circle(
                    /* [in] */ short Step, 
                    /* [in] */ float X, 
                    /* [in] */ float Y, 
                    /* [in] */ float Radius, 
                    /* [in] */ long Color, 
                    /* [in] */ float Start, 
                    /* [in] */ float End, 
                    /* [in] */ float Aspect) = 0;
    /* [helpstring("Clears graphics and text generated at run time from a Form, Image, or PictureBox."), helpcontext(0x000dfa89)] */
    virtual HRESULT _stdcall Cls() = 0;
    /* [helpstring("Draws lines and rectangles on an object."), helpcontext(0x000dfa97)] */
    virtual HRESULT _stdcall Line(
                    /* [in] */ short Flags, 
                    /* [in] */ float X1, 
                    /* [in] */ float Y1, 
                    /* [in] */ float X2, 
                    /* [in] */ float Y2, 
                    /* [in] */ long Color) = 0;
    /* [helpstring("Draws the contents of a graphics file on a Form, PictureBox, or Printer object."), helpcontext(0x000dfa9d)] */
    virtual HRESULT _stdcall PaintPicture(
                    /* [in] */ IPictureDisp* Picture, 
                    /* [in] */ float X1, 
                    /* [in] */ float Y1, 
                    /* [in] */ VARIANT Width1, 
                    /* [in] */ VARIANT Height1, 
                    /* [in] */ VARIANT X2, 
                    /* [in] */ VARIANT Y2, 
                    /* [in] */ VARIANT Width2, 
                    /* [in] */ VARIANT Height2, 
                    /* [in] */ VARIANT Opcode) = 0;
    /* [helpstring("Returns, as an integer of type Long, the RGB color of the specified point on a Form or PictureBox object."), helpcontext(0x000dfaa0)] */
    virtual HRESULT _stdcall Point(
                    /* [in] */ float X, 
                    /* [in] */ float Y, 
                    /* [out, retval] */ long* ) = 0;
    /* [helpstring("Sets a point on an object to a specified color."), helpcontext(0x000dfaa3)] */
    virtual HRESULT _stdcall PSet(
                    /* [in] */ short Step, 
                    /* [in] */ float X, 
                    /* [in] */ float Y, 
                    /* [in] */ long Color) = 0;
    /* [helpstring("Defines the coordinate system for a Form, PictureBox, or Printer."), helpcontext(0x000dfaaa)] */
    virtual HRESULT _stdcall Scale(
                    /* [in] */ short Flags, 
                    /* [in] */ VARIANT X1, 
                    /* [in] */ VARIANT Y1, 
                    /* [in] */ VARIANT X2, 
                    /* [in] */ VARIANT Y2) = 0;
    /* [helpstring("Converts the value for the width of a Form, PictureBox, or Printer from one unit of measure to another."), helpcontext(0x000dfab7)] */
    virtual HRESULT _stdcall ScaleX(
                    /* [in] */ float Width, 
                    /* [in] */ VARIANT FromScale, 
                    /* [in] */ VARIANT ToScale, 
                    /* [out, retval] */ float* ) = 0;
    /* [helpstring("Converts the value for the height of a Form, PictureBox, or Printer from one unit of measure to another."), helpcontext(0x000dfab8)] */
    virtual HRESULT _stdcall ScaleY(
                    /* [in] */ float Height, 
                    /* [in] */ VARIANT FromScale, 
                    /* [in] */ VARIANT ToScale, 
                    /* [out, retval] */ float* ) = 0;
    /* [helpstring("Returns the width of a text string as it would be printed in the current font."), helpcontext(0x000dfab0)] */
    virtual HRESULT _stdcall TextWidth(
                    /* [in] */ BSTR Str, 
                    /* [out, retval] */ float* ) = 0;
    /* [helpstring("Returns the height of a text string as it would be printed in the current font."), helpcontext(0x000dfaaf)] */
    virtual HRESULT _stdcall TextHeight(
                    /* [in] */ BSTR Str, 
                    /* [out, retval] */ float* ) = 0;
    /* [helpstring("Validate contents of the last control on the form before exiting the form"), helpcontext(0x000dfac7)] */
    virtual HRESULT _stdcall ValidateControls() = 0;
    /* [helpstring("Prepares the application to display What's This Help on a selected object."), helpcontext(0x000dfabc)] */
    virtual HRESULT _stdcall WhatsThisMode() = 0;
    /* [helpstring("Starts an OLE drag/drop event with the given control as the source."), helpcontext(0x000dfac0)] */
    virtual HRESULT _stdcall OLEDrag() = 0;
};
